- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates fields in an active stream message in a Google Chat space.
Requires app authentication with the authorization scope:
https://www.googleapis.com/auth/chat.bot
HTTP request
PATCH https://chat.googleapis.com/v1/{streamMessage.name=spaces/*/streamMessages/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
streamMessage.name |
Identifier. Resource name of the stream message. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The field paths to update. Separate multiple values with commas. Currently supported field paths:
|
Request body
The request body contains an instance of StreamMessage.
Response body
If successful, the response body contains an instance of StreamMessage.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chat.bothttps://www.googleapis.com/auth/chat.messages
For more information, see the Authorization guide.